Description

Filter not work with unicode.

Associated revisions

Revision 15350 - 2016-04-24 12:57 - Jean-Philippe Lang

SQL server: non ASCII filter on issue subject does not work (#22405).

Revision 15351 - 2016-04-24 12:57 - Jean-Philippe Lang

SQL server: non ASCII filter on issue subject does not work (#22405).

Revision 15352 - 2016-04-24 13:29 - Jean-Philippe Lang

Set source encoding (#22405).

Revision 15353 - 2016-04-24 13:36 - Jean-Philippe Lang

SQL server: non ASCII filter on text fields does not work (#22405).

History

#1 - 2016-04-06 07:31 - Toshi MARUYAMA

- Status changed from New to Needs feedback

See Submissions.

#2 - 2016-04-06 10:51 - Chi Nhan Nguyen

- File feedback.png added

I have new Issues like image. when i filter with "Kiểm", it not show.
https://www.redmine.org/projects/redmine/wiki/Submissions


#3 - 2016-04-06 10:55 - Toshi MARUYAMA

Submissions

Before submitting a bug report here, please make sure:

.

.

.

#4 - 2016-04-06 11:19 - Chi Nhan Nguyen

Sory, i setup server on windows and SQL server 2012.

Environment:

Redmine version                3.2.0.stable

Ruby version                   2.1.8-p440 (2015-12-16) [i386-mingw32]

Rails version                  4.2.5

Environment                    production

Database adapter               SQLServer

SCM:

Git                            1.9.4

Filesystem

Redmine plugins:

redmine_ckeditor               1.1.3

#5 - 2016-04-06 12:08 - Toshi MARUYAMA

I cannot reproduce.

Environment:

  Redmine version                3.2.1.stable

  Ruby version                   1.9.3-p551 (2014-11-13) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               SQLite

SCM:

  Subversion                     1.6.11

  Darcs                          2.2.0

  Mercurial                      2.8.2

  Cvs                            1.12.13

  Bazaar                         2.1.1

  Git                            1.7.1

  Filesystem

Redmine plugins:

  no plugin installed

 You would better ask https://github.com/rails-sqlserver .

#6 - 2016-04-06 12:11 - Toshi MARUYAMA

- Subject changed from Filter with Unicode to SQL server: non ASCII filter does not work 

- Status changed from Needs feedback to New

#7 - 2016-04-06 12:35 - Chi Nhan Nguyen

- Status changed from New to Resolved

I solved by adding characters N on SQL LIKE statement.

  # Returns a SQL LIKE statement with wildcards

  def sql_contains(db_field, value, match=true)

    if ActiveRecord::Base.connection.adapter_name == "SQLServer" 

        value = "N'%#{self.class.connection.quote_string(value.to_s)}%'"    

    else

        value = "'%#{self.class.connection.quote_string(value.to_s)}%'" 

    end

    Redmine::Database.like(db_field, value, :match => match)

  end

thanks.

#8 - 2016-04-06 12:58 - Toshi MARUYAMA
https://www.redmine.org/projects/redmine/wiki/Submissions#Submitting-a-Bug
https://github.com/rails-sqlserver


- Status changed from Resolved to New

- Target version set to 3.3.0

http://stackoverflow.com/questions/10025032/what-is-the-meaning-of-the-prefix-n-in-t-sql-statements

#9 - 2016-04-24 13:37 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Files

feedback.png 17.5 KB 2016-04-06 Chi Nhan Nguyen

Powered by TCPDF (www.tcpdf.org)

2025-05-02 3/3

http://stackoverflow.com/questions/10025032/what-is-the-meaning-of-the-prefix-n-in-t-sql-statements
http://www.tcpdf.org

